Index: Python-2.7.10/Modules/_multiprocessing/multiprocessing.c
===================================================================
--- Python-2.7.10.orig/Modules/_multiprocessing/multiprocessing.c	2013-04-26 09:52:21.000000000 +0200
+++ Python-2.7.10/Modules/_multiprocessing/multiprocessing.c	2013-04-26 09:53:57.000000000 +0200
@@ -8,6 +8,13 @@
 
 #include "multiprocessing.h"
 
+#ifndef CMSG_SPACE
+#define CMSG_SPACE(len) (_CMSG_ALIGN(sizeof(struct cmsghdr)) + _CMSG_ALIGN(len))
+#endif
+#ifndef CMSG_LEN
+#define CMSG_LEN(len) (_CMSG_ALIGN(sizeof(struct cmsghdr)) + (len))
+#endif
+
 #if (defined(CMSG_LEN) && defined(SCM_RIGHTS))
     #define HAVE_FD_TRANSFER 1
 #else
Index: Python-2.7.10/setup.py
===================================================================
--- Python-2.7.10.orig/setup.py	2013-04-26 09:53:57.000000000 +0200
+++ Python-2.7.10/setup.py	2013-04-26 09:53:57.000000000 +0200
@@ -1554,6 +1554,14 @@
             macros = dict()
             libraries = []
 
+        elif host_platform.startswith('aix'):
+            macros = dict(                  # AIX5L V5.1 and higher
+                HAVE_SEM_OPEN=1,
+                HAVE_SEM_TIMEDWAIT=0,
+                HAVE_FD_TRANSFER=1
+                )
+            libraries = ['rt']
+
         else:                                   # Linux and other unices
             macros = dict()
             libraries = ['rt']
